Debian Bug report logs - #659632
ITP: graphite-web -- enterprise scalable realtime graphing

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Genannt <jonas.genannt@capi2name.de>

Date: Sun, 12 Feb 2012 17:30:01 UTC

Owned by: Jonas Genannt <jonas.genannt@capi2name.de>

Severity: wishlist

Fixed in version graphite-web/0.9.10+debian-1

Done: Jonas Genannt <jonas.genannt@capi2name.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Sun, 12 Feb 2012 17:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 12 Feb 2012 17:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: graphite-web -- enterprise scalable realtime graphing
Date: Sun, 12 Feb 2012 18:28:16 +0100
Package: wnpp
Severity: wishlist

* Package name    : graphite-web
  Version         : 0.9.9
  Upstream Author : Chris Davis <chrismd@gmail.com>
* URL             : https://launchpad.net/graphite/
* License         : Apache Software License 2.0
  Programming Lang: Python / Django
  Description     : enterprise scalable realtime graphing

 Graphite consists of a storage backend and a web-based visualization frontend.
 Client applications send streams of numeric time-series data to the Graphite
 backend (called carbon), where it gets stored in fixed-size database files
 similar in design to RRD. The web frontend provides 2 distinct user interfaces
 for visualizing this data in graphs as well as a simple
 URL-based API for direct graph generation.




Added blocking bug(s) of 659632: 651233 Request was from Jonas Genannt <jonas.genannt@capi2name.de> to control@bugs.debian.org. (Sun, 12 Feb 2012 17:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Thu, 15 Nov 2012 14:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 15 Nov 2012 14:09:05 GMT) Full text and rfc822 format available.

Message #12 received at 659632@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: 659632@bugs.debian.org
Cc: Jonas Genannt <jonas.genannt@capi2name.de>
Subject: preliminary version
Date: Thu, 15 Nov 2012 15:05:46 +0100
hi,

I have prepared a preliminary version at
http://anonscm.debian.org/gitweb/?p=collab-maint/graphite-web.git .

I will test it some time and ask support to the python team (this is
my first python pkg).

Any help or feedback is appreciated.

regards
--
Mathieu Parent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Thu, 15 Nov 2012 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 15 Nov 2012 14:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 659632@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: python-apps-team@lists.alioth.debian.org
Cc: 659632@bugs.debian.org, python-modules-team@lists.alioth.debian.org
Subject: Review of the graphite-web package
Date: Thu, 15 Nov 2012 15:18:20 +0100
Hi,

I have packaged my first python package. I have read the "Debian
Python Policy ", but I need a review from the experts here ;-)

I still need to fix some lintian warnings also (this, I know how):
W: graphite-web: embedded-javascript-library
usr/share/graphite/webapp/content/js/jquery.js
W: graphite-web: embedded-javascript-library
usr/share/graphite/webapp/content/js/scriptaculous/scriptaculous.js
W: graphite-web: embedded-javascript-library
usr/share/graphite/webapp/content/js/window/prototype.js

Can you please take a look?

Regards
--
Mathieu Parent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Thu, 15 Nov 2012 17:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 15 Nov 2012 17:57:03 GMT) Full text and rfc822 format available.

Message #22 received at 659632@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 659632@bugs.debian.org
Subject: Re: preliminary version
Date: Thu, 15 Nov 2012 18:47:21 +0100
Hello Mathieu,

> I have prepared a preliminary version at
> http://anonscm.debian.org/gitweb/?p=collab-maint/graphite-web.git .
> 
> I will test it some time and ask support to the python team (this is
> my first python pkg).

over the last weeks I have done also some packaging work for
Graphite-web.

It's fully functional, but license check needs to be done:

	https://github.com/hggh/graphite-web

Also an decision should be made about repackaging included javascript
files.

Greets,
	Jonas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Fri, 16 Nov 2012 21:06:03 GMT) Full text and rfc822 format available.

Message #25 received at 659632@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 659632@bugs.debian.org, Mathieu Parent <math.parent@gmail.com>
Subject: Re: Review of the graphite-web package
Date: Fri, 16 Nov 2012 22:02:30 +0100
* Mathieu Parent <math.parent@gmail.com>, 2012-11-15, 15:18:
>I have packaged my first python package. I have read the "Debian Python 
>Policy ", but I need a review from the experts here ;-)

A few hints regarding seeking sponsorship:
1) Tell us exactly where can we get your package: give us a link to .dsc 
or a VCS URL.
2) Nobody reads python-*-team@lists.alioth.debian.org; 
debian-python@lists.debian.org might be a better place to ask.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Mon, 19 Nov 2012 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas@brachium-system.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 19 Nov 2012 13:33:03 GMT) Full text and rfc822 format available.

Message #30 received at 659632@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas@brachium-system.net>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 659632@bugs.debian.org
Subject: Re: preliminary version
Date: Mon, 19 Nov 2012 14:23:37 +0100
Hello Mathieu,

so what should we do here? The package at my github it ready.

If you have no longer interest in maintaining graphite I will move that
RFP to ITP and upload it.

Greets,
	Jonas


On Fri, 16 Nov 2012 18:32:31 +0100
Jonas Genannt <jonas@brachium-system.net> wrote:
> Hallo Mathieu,
> 
> > I have prepared a preliminary version at
> > http://anonscm.debian.org/gitweb/?p=collab-maint/graphite-web.git .
> > 
> > I will test it some time and ask support to the python team (this is
> > my first python pkg).
> > 
> > Any help or feedback is appreciated.
> 
> 
> have you had an look to my package? - perhaps if you are interested we
> can co-maintain graphite-web. I also maintain graphite-carbon and
> python-whisper.
> 
> Perhaps we should create an graphite pkg group?
> 
> Greets,
> 	Jonas




Owner recorded as Jonas Genannt <jonas.genannt@capi2name.de>. Request was from Jonas Genannt <jonas.genannt@capi2name.de> to control@bugs.debian.org. (Wed, 28 Nov 2012 18:06:18 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: graphite-web -- enterprise scalable realtime graphing' from 'RFP: graphite-web -- enterprise scalable realtime graphing' Request was from Jonas Genannt <jonas.genannt@capi2name.de> to control@bugs.debian.org. (Wed, 28 Nov 2012 18:06:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#659632; Package wnpp. (Wed, 12 Dec 2012 10:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>. (Wed, 12 Dec 2012 10:51:04 GMT) Full text and rfc822 format available.

Message #39 received at 659632@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Frederic Junod <frederic.junod@camptocamp.com>
Cc: 659632@bugs.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>
Subject: Re: debian graphite-web enhancements
Date: Wed, 12 Dec 2012 11:49:24 +0100
2012/12/12 Frederic Junod <frederic.junod@camptocamp.com>:
> Hello,

Hello,

> I've made some updates to your graphite-web debian package, you can
> found them in my github account:
> https://github.com/fredj/graphite-web/compare/debian-sid...next

Those changes are good, I will merge them soon.

There are currently two git repos for Debian packaging:
- Jonas's one: https://github.com/hggh/graphite-web
- mine: http://anonscm.debian.org/gitweb/?p=collab-maint/graphite-web.git

We should merge them, but I don't have enough time now (working on php-horde-*).

Jonas also proposed to create a packaging team, I have asked the
pkg-graphite group on alioth. Frederic: do you want to join?

Regards
--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Wed, 12 Dec 2012 11:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Dec 2012 11:09:06 GMT) Full text and rfc822 format available.

Message #44 received at 659632@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Mathieu Parent <math.parent@gmail.com>, 659632@bugs.debian.org
Cc: Frederic Junod <frederic.junod@camptocamp.com>
Subject: Re: Bug#659632: debian graphite-web enhancements
Date: Wed, 12 Dec 2012 12:07:35 +0100
Hello,

an pkg-graphite group is an good idea. But I don't know why you are
working with
http://anonscm.debian.org/gitweb/?p=collab-maint/graphite-web.git that
packages are really behind the stuff on my github.

I have:

 - FHS clean
 - cronjobs
 - logroate jobs
 - manpages
 - post/preinst scripts
 - README
 - removed third party software

This package had passed an check by an DD, so it's quite ready to
upload. The d/copyright needs to be double checked, after that it's
ready to upload.

Greets,
	Jonas

> > I've made some updates to your graphite-web debian package, you can
> > found them in my github account:
> > https://github.com/fredj/graphite-web/compare/debian-sid...next
> 
> Those changes are good, I will merge them soon.
> 
> There are currently two git repos for Debian packaging:
> - Jonas's one: https://github.com/hggh/graphite-web
> - mine:
> http://anonscm.debian.org/gitweb/?p=collab-maint/graphite-web.git
> 
> We should merge them, but I don't have enough time now (working on
> php-horde-*).
> 
> Jonas also proposed to create a packaging team, I have asked the
> pkg-graphite group on alioth. Frederic: do you want to join?
> 
> Regards
> --
> Mathieu




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#659632; Package wnpp. (Wed, 12 Dec 2012 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frederic Junod <frederic.junod@camptocamp.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>. (Wed, 12 Dec 2012 11:24:03 GMT) Full text and rfc822 format available.

Message #49 received at 659632@bugs.debian.org (full text, mbox):

From: Frederic Junod <frederic.junod@camptocamp.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: Mathieu Parent <math.parent@gmail.com>, 659632@bugs.debian.org
Subject: Re: Bug#659632: debian graphite-web enhancements
Date: Wed, 12 Dec 2012 12:22:34 +0100
Hello,

On Wed, Dec 12, 2012 at 12:07 PM, Jonas Genannt
<jonas.genannt@capi2name.de> wrote:
> Hello,
>
> an pkg-graphite group is an good idea. But I don't know why you are
> working with
> http://anonscm.debian.org/gitweb/?p=collab-maint/graphite-web.git that
> packages are really behind the stuff on my github.

Simply because I was not aware of your work :-) It looks very good

>
> I have:
>
>  - FHS clean
>  - cronjobs
>  - logroate jobs
>  - manpages
>  - post/preinst scripts
>  - README
>  - removed third party software
>
> This package had passed an check by an DD, so it's quite ready to
> upload. The d/copyright needs to be double checked, after that it's
> ready to upload.
>
> Greets,
>         Jonas
>
>> > I've made some updates to your graphite-web debian package, you can
>> > found them in my github account:
>> > https://github.com/fredj/graphite-web/compare/debian-sid...next
>>
>> Those changes are good, I will merge them soon.
>>
>> There are currently two git repos for Debian packaging:
>> - Jonas's one: https://github.com/hggh/graphite-web
>> - mine:
>> http://anonscm.debian.org/gitweb/?p=collab-maint/graphite-web.git
>>
>> We should merge them, but I don't have enough time now (working on
>> php-horde-*).
>>
>> Jonas also proposed to create a packaging team, I have asked the
>> pkg-graphite group on alioth. Frederic: do you want to join?
>>
>> Regards
>> --
>> Mathieu
>



-- 
Frédéric Junod
Camptocamp SA



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Wed, 12 Dec 2012 11:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Dec 2012 11:30:04 GMT) Full text and rfc822 format available.

Message #54 received at 659632@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Frederic Junod <frederic.junod@camptocamp.com>
Cc: Mathieu Parent <math.parent@gmail.com>, 659632@bugs.debian.org
Subject: Re: Bug#659632: debian graphite-web enhancements
Date: Wed, 12 Dec 2012 12:26:57 +0100
Hello,

> > http://anonscm.debian.org/gitweb/?p=collab-maint/graphite-web.git
> > that packages are really behind the stuff on my github.
> 
> Simply because I was not aware of your work :-) It looks very good

so the simplest way is: blow that repro away on collab-maint and use
that on gibthub. If we have created an pkg group you can move that
repro on github to alioth.

Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#659632; Package wnpp. (Wed, 12 Dec 2012 11:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>. (Wed, 12 Dec 2012 11:42:04 GMT) Full text and rfc822 format available.

Message #59 received at 659632@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: Frederic Junod <frederic.junod@camptocamp.com>, 659632@bugs.debian.org
Subject: Re: Bug#659632: debian graphite-web enhancements
Date: Wed, 12 Dec 2012 12:38:42 +0100
2012/12/12 Jonas Genannt <jonas.genannt@capi2name.de>:
> Hello,
>
>> > http://anonscm.debian.org/gitweb/?p=collab-maint/graphite-web.git
>> > that packages are really behind the stuff on my github.
>>
>> Simply because I was not aware of your work :-) It looks very good
>
> so the simplest way is: blow that repro away on collab-maint and use
> that on gibthub. If we have created an pkg group you can move that
> repro on github to alioth.

Agree.

Note that I am a DD, so I can upload when needed.

Regards
--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Wed, 12 Dec 2012 13:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 Dec 2012 13:09:06 GMT) Full text and rfc822 format available.

Message #64 received at 659632@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Mathieu Parent <math.parent@gmail.com>, 659632@bugs.debian.org
Cc: Frederic Junod <frederic.junod@camptocamp.com>
Subject: Re: Bug#659632: debian graphite-web enhancements
Date: Wed, 12 Dec 2012 14:06:59 +0100
Hello,

> > so the simplest way is: blow that repro away on collab-maint and use
> > that on gibthub. If we have created an pkg group you can move that
> > repro on github to alioth.
> 
> Agree.
> 
> Note that I am a DD, so I can upload when needed.

that is perfect :) So can you please nuke that git repro away?

Do you know the state for creating the pkg group on alioth?

My username on alioth is: hggh-guest

~Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#659632; Package wnpp. (Wed, 12 Dec 2012 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>. (Wed, 12 Dec 2012 13:27:03 GMT) Full text and rfc822 format available.

Message #69 received at 659632@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 659632@bugs.debian.org, Frederic Junod <frederic.junod@camptocamp.com>
Subject: Re: Bug#659632: debian graphite-web enhancements
Date: Wed, 12 Dec 2012 14:23:36 +0100
2012/12/12 Jonas Genannt <jonas.genannt@capi2name.de>:
> Hello,
>
>> > so the simplest way is: blow that repro away on collab-maint and use
>> > that on gibthub. If we have created an pkg group you can move that
>> > repro on github to alioth.
>>
>> Agree.
>>
>> Note that I am a DD, so I can upload when needed.
>
> that is perfect :) So can you please nuke that git repro away?

I renamed it graphite-web-old.git for now.

> Do you know the state for creating the pkg group on alioth?

I just created it one hour ago. 3 days should be enough.

> My username on alioth is: hggh-guest

Okay. What's yours Frederic (if you want to join)?


Regards
--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#659632; Package wnpp. (Mon, 17 Dec 2012 13:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>. (Mon, 17 Dec 2012 13:51:10 GMT) Full text and rfc822 format available.

Message #74 received at 659632@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Jonas Genannt <jonas.genannt@capi2name.de>
Cc: 659632@bugs.debian.org, Frederic Junod <frederic.junod@camptocamp.com>
Subject: Re: Bug#659632: debian graphite-web enhancements
Date: Mon, 17 Dec 2012 14:48:01 +0100
Hi,

>> Do you know the state for creating the pkg group on alioth?
>
> I just created it one hour ago. 3 days should be enough.
>
>> My username on alioth is: hggh-guest

The group is now created and Jonas and me are admin.

I also have created a pkg-graphite-maint@lists.alioth.debian.org list.

Jonas, can you take care of git migration?

Regards
--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Mon, 17 Dec 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 17 Dec 2012 14:00:03 GMT) Full text and rfc822 format available.

Message #79 received at 659632@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 659632@bugs.debian.org, Frederic Junod <frederic.junod@camptocamp.com>
Subject: Re: Bug#659632: debian graphite-web enhancements
Date: Mon, 17 Dec 2012 14:57:41 +0100
Hallo,

thanks! Yeah I will do it. Tomorrow

Greets,
	Jonas

> >> Do you know the state for creating the pkg group on alioth?
> >
> > I just created it one hour ago. 3 days should be enough.
> >
> >> My username on alioth is: hggh-guest
> 
> The group is now created and Jonas and me are admin.
> 
> I also have created a pkg-graphite-maint@lists.alioth.debian.org list.
> 
> Jonas, can you take care of git migration?
> 
> Regards
> --
> Mathieu




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 22 Dec 2012 07:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#659632; Package wnpp. (Wed, 06 Feb 2013 14:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <b.zeimetz@conova.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>. (Wed, 06 Feb 2013 14:33:03 GMT) Full text and rfc822 format available.

Message #86 received at 659632@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <b.zeimetz@conova.com>
To: 659632@bugs.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>, Frederic Junod <frederic.junod@camptocamp.com>, Mathieu Parent <math.parent@gmail.com>
Subject: Re: Bug#659632: debian graphite-web enhancements
Date: Wed, 06 Feb 2013 15:22:39 +0100
Hey guys,

are there any news about the graphite web packaging? Is there something
missing? Do you need a sponsor? Would be good to have the package in
Debian soon.

Thanks,

Bernd

-- 
Mit freundlichen Grüßen


Bernd Zeimetz
Systems Engineer
Debian Developer

conova communications GmbH
Web    | http://www.conova.com/
E-Mail | b.zeimetz@conova.com

Zentrale Salzburg
Karolingerstraße 36A
5020 Salzburg

Tel | +43 (0) 662 22 00 - 313
Fax | +43 (0) 662 22 00 - 209

Es gelten die Allgemeinen Geschäftsbedingungen der
conova communications GmbH, http://www.conova.com/de/agb/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Wed, 06 Feb 2013 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 06 Feb 2013 14:51:03 GMT) Full text and rfc822 format available.

Message #91 received at 659632@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Bernd Zeimetz <b.zeimetz@conova.com>
Cc: 659632@bugs.debian.org, Frederic Junod <frederic.junod@camptocamp.com>, Mathieu Parent <math.parent@gmail.com>
Subject: Re: Bug#659632: debian graphite-web enhancements
Date: Wed, 6 Feb 2013 15:49:26 +0100
Hello,

> are there any news about the graphite web packaging? Is there
> something missing? Do you need a sponsor? Would be good to have the
> package in Debian soon.

please have a look:

	http://ftp-master.debian.org/new.html

Graphite-web is already upload to NEW. Since we are in freeze, it will
take time.

Greets,
	Jonas



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Tue, 19 Feb 2013 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 19 Feb 2013 10:51:03 GMT) Full text and rfc822 format available.

Message #96 received at 659632@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Christian Hofstaedtler <christian@hofstaedtler.name>
Cc: 659632@bugs.debian.org, Bernd Zeimetz <b.zeimetz@conova.com>, Mathieu Parent <math.parent@gmail.com>, Frederic Junod <frederic.junod@camptocamp.com>
Subject: Re: Bug#659632: graphite-web
Date: Tue, 19 Feb 2013 11:49:30 +0100
Hello,

> So apparently graphite-web is not in NEW right now. It's also not in
> the archive.
> 
> Is this intentional?

graphite-web was rejected on Sunday from archive:

* webapp/content/js/ext/examples/shared/icons/fam/* are licensed under CC-BY-3.0
* webapp/content/js/ext/resources/*.swf lack corresponding source code.

d/copyright and the dfsg tarball needs to be reworked.

Greets,
	Jonas






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#659632; Package wnpp. (Tue, 19 Feb 2013 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Hofstaedtler <christian@hofstaedtler.name>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>. (Tue, 19 Feb 2013 10:57:03 GMT) Full text and rfc822 format available.

Message #101 received at 659632@bugs.debian.org (full text, mbox):

From: Christian Hofstaedtler <christian@hofstaedtler.name>
To: 659632@bugs.debian.org, Jonas Genannt <jonas.genannt@capi2name.de>
Cc: Bernd Zeimetz <b.zeimetz@conova.com>, Frederic Junod <frederic.junod@camptocamp.com>, Mathieu Parent <math.parent@gmail.com>
Subject: Re: Bug#659632: graphite-web
Date: Tue, 19 Feb 2013 11:42:38 +0100
Hey,

So apparently graphite-web is not in NEW right now. It's also not in
the archive.

Is this intentional?

Thanks,

Christian

-- 
       Christian Hofstaedtler       | design, deploy, scale
http://christian.hofstaedtler.name/ | phone +43 720 699846




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>:
Bug#659632; Package wnpp. (Wed, 13 Mar 2013 15:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gary Wright <bugreport+2013@wrightsolutions.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonas Genannt <jonas.genannt@capi2name.de>. (Wed, 13 Mar 2013 15:03:03 GMT) Full text and rfc822 format available.

Message #106 received at 659632@bugs.debian.org (full text, mbox):

From: Gary Wright <bugreport+2013@wrightsolutions.eu>
To: 659632@bugs.debian.org
Subject: Re: Bug#659632: graphite-web
Date: Wed, 13 Mar 2013 15:00:08 +0000
Looking at the two rejections

* webapp/content/js/ext/examples/shared/icons/fam/* are licensed under CC-BY-3.0
* webapp/content/js/ext/resources/*.swf lack corresponding source code.

and dealing with the flash issue first. Without knowing in detail how
central the .swf files are to functionality, if they are just
examples, then can they not simply be removed before the upload to
Debian?

The fam icons thing - I am not sure that is a genuine rejection. If it
was an earlier CC BY license then that would be a problem, but reading
the DFSGLicenses page suggests the newer version 3.0 might be okay.

http://wiki.debian.org/DFSGLicenses#Creative_Commons_Attribution_Share-Alike_.28CC-BY-SA.29_v3.0

There is some clarification by Torsten Werner in the link to
lists.debian.org on that wiki page, and it may not be much to follow
that up with the ftp folks to check the rejection of the fam icons is
genuine or otherwise.

Gary.


Quoting from page at: http://www.famfamfam.com/lab/icons/silk/


"The icons can also be used under Creative Commons Attribution 3.0
License (Hi Debian folks!) with the following requirements:

    As an author, I would appreciate a reference to my authorship of
the Silk icon set contents within a readme file or equivalent
documentation for the software which includes the set or a subset of
the icons contained within. "



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#659632; Package wnpp. (Wed, 13 Mar 2013 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Mar 2013 21:30:03 GMT) Full text and rfc822 format available.

Message #111 received at 659632@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Gary Wright <bugreport+2013@wrightsolutions.eu>, 659632@bugs.debian.org
Subject: Re: Bug#659632: graphite-web
Date: Wed, 13 Mar 2013 22:28:04 +0100
Hello,


> Looking at the two rejections
> 
> * webapp/content/js/ext/examples/shared/icons/fam/* are licensed under CC-BY-3.0
> * webapp/content/js/ext/resources/*.swf lack corresponding source code.
> 
> and dealing with the flash issue first. Without knowing in detail how
> central the .swf files are to functionality, if they are just
> examples, then can they not simply be removed before the upload to
> Debian?
> 
> The fam icons thing - I am not sure that is a genuine rejection. If it
> was an earlier CC BY license then that would be a problem, but reading
> the DFSGLicenses page suggests the newer version 3.0 might be okay.
> 
> http://wiki.debian.org/DFSGLicenses#Creative_Commons_Attribution_Share-Alike_.28CC-BY-SA.29_v3.0
> 

please see 

	http://anonscm.debian.org/gitweb/?p=pkg-graphite/packages/graphite-web.git;a=summary

I have removed the flash and fam icons from debian tarball. So we don't need the
copyright.

So packages are ready, waiting to upload from an dd.

Greets,
	Jonas



Reply sent to Jonas Genannt <jonas.genannt@capi2name.de>:
You have taken responsibility. (Thu, 18 Apr 2013 13:03:08 GMT) Full text and rfc822 format available.

Notification sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Bug acknowledged by developer. (Thu, 18 Apr 2013 13:03:08 GMT) Full text and rfc822 format available.

Message #116 received at 659632-close@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 659632-close@bugs.debian.org
Subject: Bug#659632: fixed in graphite-web 0.9.10+debian-1
Date: Thu, 18 Apr 2013 13:00:15 +0000
Source: graphite-web
Source-Version: 0.9.10+debian-1

We believe that the bug you reported is fixed in the latest version of
graphite-web, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659632@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Genannt <jonas.genannt@capi2name.de> (supplier of updated graphite-web package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Mar 2013 16:06:34 +0100
Source: graphite-web
Binary: graphite-web
Architecture: source all
Version: 0.9.10+debian-1
Distribution: unstable
Urgency: low
Maintainer: Debian Graphite Group <pkg-graphite-maint@lists.alioth.debian.org>
Changed-By: Jonas Genannt <jonas.genannt@capi2name.de>
Description: 
 graphite-web - Enterprise Scalable Realtime Graphing
Closes: 659632
Changes: 
 graphite-web (0.9.10+debian-1) unstable; urgency=low
 .
   * Initial release. (Closes: #659632)
Checksums-Sha1: 
 cf8a6ababa017bb9b131843f13c01be68634afca 1443 graphite-web_0.9.10+debian-1.dsc
 8cb36a50655f1d34a41203ebb635817c3cdd1178 1844732 graphite-web_0.9.10+debian.orig.tar.gz
 5f570c195a465a5b92cad6c474876bd7f7de50ee 8792 graphite-web_0.9.10+debian-1.debian.tar.xz
 0ddc13d6a67bd0d05941a984844e830d02becd0f 1860836 graphite-web_0.9.10+debian-1_all.deb
Checksums-Sha256: 
 a707905a0a8842353e49ea24ac7faffe6d8297287c393c574fef779e0f50849c 1443 graphite-web_0.9.10+debian-1.dsc
 a91cc57f0ada3b2186e7e91c6629cd01c44e97e5b67f50a8522ccd6a5ba77460 1844732 graphite-web_0.9.10+debian.orig.tar.gz
 414db6a789927febc7dd556de51fec286bc518a3e9d932f4c92edb6c97b92402 8792 graphite-web_0.9.10+debian-1.debian.tar.xz
 6b111e2b15a8cc1472777bcd1e0d158040ff65c8ed4bd218edcdc1033329e8f9 1860836 graphite-web_0.9.10+debian-1_all.deb
Files: 
 85b4b264382c1a8345fa8ffaa29efdda 1443 web extra graphite-web_0.9.10+debian-1.dsc
 1c68c22707a45cdc6c784bf2d90224c2 1844732 web extra graphite-web_0.9.10+debian.orig.tar.gz
 716e94899eb6faa94d95f282e5f4824c 8792 web extra graphite-web_0.9.10+debian-1.debian.tar.xz
 354d3e3fd33d44df1cc5695389fa1d7e 1860836 web extra graphite-web_0.9.10+debian-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFgZzQACgkQOW2jYf5fHX+OLQCZAXgGDluBmJOKTV1rM+fVJ90u
sccAn2H2Wd/7AjcXftjtPAFPCXjuYTNe
=iwzE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 May 2013 07:30:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:39:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.